put /local/pcb/CFLAGS {-I../.. -I../../src_3rd -I../../src_3rd/liblihata -DSCMDIR="\\"$(LIBDIR)\\""}
include {../scconfig/template/debug.tmpasm}

print [@
PLUGDIR=../../src_plugins
CFLAGS=@/local/pcb/c89flags@ @/local/pcb/CFLAGS@
LDFLAGS=-lm
CC=@cc/cc@

HASHOBJ=../../src_3rd/liblihata/genht/hash.o ../../src_3rd/liblihata/genht/htsp.o ../../src_3rd/liblihata/genht/htpp.o
VECTOBJ=../../src_3rd/genvector/gds_char.o ../../src_3rd/genvector/vtp0.o ../../src_3rd/genvector/vts0.o
LISTOBJ=../../src_3rd/genlist/genadlist.o ../../src_3rd/genlist/genlistalloc.o
SCCFOBJ=../../scconfig/src/default/str.o
QPARSE=../../src_3rd/qparse/qparse.o
LHTOBJ= \
	../../src_3rd/liblihata/parser.o \
	../../src_3rd/liblihata/dom.o \
	../../src_3rd/liblihata/dom_list.o \
	../../src_3rd/liblihata/dom_hash.o \
	../../src_3rd/liblihata/dom_table.o \
	../../src_3rd/liblihata/lihata.o \
	../../src_3rd/liblihata/hash_str.o \
	../../src_3rd/liblihata/tree.o \
	../../src_3rd/liblihata/tree_list.o \
	../../src_3rd/liblihata/tree_hash.o \
	../../src_3rd/liblihata/tree_table.o \
	../../src_3rd/liblihata/tree_symlink.o \
	../../src_3rd/liblihata/tree_path.o
@]

put /local/pcb/tmpasm/buildin  {../src_plugins/Buildin.tmpasm}
put /local/pcb/tmpasm/plugin   {../src_plugins/Plugin.tmpasm}
put /local/pcb/tmpasm/disable  {../src_plugins/Disable.tmpasm}

put /local/pcb/RULES {}
put /local/pcb/OBJS {}
put /local/pcb/LDFLAGS {}
put /local/pcb/CFLAGS {}
put /local/pcb/buildin_init_code {}
put /local/pcb/buildin_init_extern {}

include {../src_plugins/plugins_fp.tmpasm}

print [@

FP_OBJS    = @/local/pcb/OBJS@ ../../src/plug_footprint.o
CONF_OBJS  = ../../src/vtlibrary.o ../../src/compat_fs.o ../../src/paths.o ../../src/conf.o ../../src/conf_core.o ../../src/hid_cfg.o ../../src/misc_util.o ../../src/unit.o ../../src/conf_internal.o ../../src/list_conf.o ../../src/conf_hid.o ../../src/pcb-printf.o ../../src/compat_misc.o
FP_LDFLAGS = @/local/pcb/LDFLAGS@
FP_CFLAGS  = @/local/pcb/CFLAGS@
OBJS = \
 gsch2pcb.o \
 help.o \
 netlister.o \
 run.o \
 glue.o \
 method_pcb.o \
 method_import.o

all:
	make revcheck
	make gsch2pcb-rnd$(EXE)

revcheck:
	cd ../../scconfig && ./revtest Rev.stamp < Rev.tab

gsch2pcb-rnd$(EXE): $(OBJS)  $(CONF_OBJS) $(HASHOBJ) $(VECTOBJ) $(LISTOBJ) $(SCCFOBJ) $(QPARSE) $(FP_OBJS) $(LHTOBJ)
	$(CC) $(OBJS) $(CONF_OBJS)  $(FP_OBJS) $(HASHOBJ) $(VECTOBJ) $(LISTOBJ) $(SCCFOBJ) $(QPARSE) $(LHTOBJ) -o gsch2pcb-rnd$(EXE) $(LDFLAGS) $(FP_LDFLAGS)

gsch2pcb.o: gsch2pcb.c ../../config.h
	$(CC) -c $(CFLAGS) $(FP_CFLAGS) gsch2pcb.c -o gsch2pcb.o

../../src/pcb-rnd:
	cd ../../src && make

$(HASHOBJ): ../../src/pcb-rnd

$(QPARSE): ../../src/pcb-rnd

../../src_3rd/genvector/gds_char.o:
	$(CC) -c $(CFLAGS) ../../src_3rd/genvector/gds_char.c -o ../../src_3rd/genvector/gds_char.o

../../src_3rd/genvector/vtp0.o:
	$(CC) -c $(CFLAGS) ../../src_3rd/genvector/vtp0.c -o ../../src_3rd/genvector/vtp0.o

../../src_3rd/genvector/vts0.o:
	$(CC) -c $(CFLAGS) ../../src_3rd/genvector/vts0.c -o ../../src_3rd/genvector/vts0.o

../../src_3rd/genadlist/genadlist.o:
	$(CC) -c $(CFLAGS) ../../src_3rd/genlist/genadlist.c -o ../../src_3rd/genlist/genadlist.o

../../src_3rd/genadlist/genlistalloc.o:
	$(CC) -c $(CFLAGS) ../../src_3rd/genlist/genlistalloc.c -o ../../src_3rd/genlist/genlistalloc.o




##### module rules begin #####
@/local/pcb/RULES@
##### module rules end #####
@]

# generate explicit rules for .c -> .o
put /local/comp/OBJS /local/pcb/OBJS
include {../scconfig/Makefile.comp.inc}

print [@

gsch2pcb.o: gsch2pcb_rnd_conf_fields.h

gsch2pcb_rnd_conf_fields.h: gsch2pcb_rnd_conf.h
	AWK=@/host/fstools/awk@ ../../scconfig/gen_conf.sh < gsch2pcb_rnd_conf.h > gsch2pcb_rnd_conf_fields.h

install_:
	$(MKDIR) "$(BINDIR)" "$(LIBDIR)"
	$(CPC) "`pwd`/gsch2pcb-rnd$(EXE)" "$(BINDIR)/gsch2pcb-rnd$(EXE)"
	$(CPC) "`pwd`/gnet-gsch2pcb-rnd.scm" "$(LIBDIR)/gnet-gsch2pcb-rnd.scm"

install:
	make install_ CPC="$(CP)"

linstall:
	make install_ CPC="$(LN)"

uninstall:
	$(RM) "$(BINDIR)/gsch2pcb-rnd$(EXE)"
	$(RM) "$(LIBDIR)/gnet-gsch2pcb-rnd.scm"


clean:
	$(RM) gsch2pcb-rnd$(EXE) $(OBJS) gsch2pcb_rnd_conf_fields.h

include ../../Makefile.conf

@]

redir {gsch2pcb-rnd/fp_init.c}
print [@
@?/local/pcb/buildin_init_code@
@]

redir {gsch2pcb-rnd/fp_init.h}
print [@
@/local/pcb/buildin_init_extern@
@]

